<template>
	<div class="container">
		<div class="row row-cols-3">
			<div class="col" v-for="(property, index) in properties" :key="index">
				<PropertyCard
					:title="property.title"
					:description="property.description"
					:image="property.image"/>
			</div>
		</div>
	</div>
</template>

<script>
import PropertyCard from './components/PropertyCard.vue'

export default {
	name: 'App',
	components: {
		PropertyCard
	},
	data() {
		return {
			properties: [
				{'title' : 'Casa # 1', 'description': 'Casa en París', 'image' : 'house-1.jpg'},
				{'title' : 'Casa # 2', 'description': 'Una casa de campo', 'image' : 'house-2.jpg'},
				{'title' : 'Casa # 3', 'description': 'La casa de Cristiano Ronaldo', 'image' : 'house-3.jpeg'},
			]
		}
	}
}
</script>

<style>
	@import "../node_modules/bootstrap/dist/css/bootstrap.min.css";
</style>
